API ReferenceapientitlementsPOST /v1/entitlements/overrides

POST /v1/entitlements/overrides

Service: entitlements · operationId: (none)

Required scopes

(no scope declared — review service config)

Request body

{
  "type": "object",
  "properties": {
    "user_id": {
      "type": "string"
    },
    "feature_key": {
      "type": "string"
    },
    "override_type": {
      "type": "string",
      "enum": [
        "grant",
        "deny"
      ]
    },
    "reason": {
      "type": "string"
    },
    "expires_at": {
      "type": "string",
      "format": "date-time"
    }
  },
  "required": [
    "user_id",
    "feature_key",
    "override_type"
  ]
}

Responses

201 Override created/updated

{
  "type": "object",
  "properties": {
    "id": {
      "type": "string"
    },
    "user_id": {
      "type": "string"
    },
    "feature_key": {
      "type": "string"
    },
    "override_type": {
      "type": "string"
    }
  },
  "required": [
    "id",
    "user_id",
    "feature_key",
    "override_type"
  ]
}

404 Feature not found

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X POST https://entitlements.platform.loop.health/v1/entitlements/overrides \
  -H "Authorization: Bearer $ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{ ... }'